{
    "x3.py": {
        "display_name": "03: Parse DB/AWL",
        "short_description": "Crear archivos json haciendo parsing de los archivos .db o .awl",
        "long_description": "",
        "hidden": false
    },
    "x4.py": {
        "display_name": "04: Generar S7 Source y MD",
        "short_description": "Genera código S7 (.txt) y Markdown (.md) desde JSON.",
        "long_description": "Procesa archivos JSON (generados por x3.py) para reconstruir el código fuente S7 en formato .txt y generar documentación detallada en formato Markdown para cada Bloque de Datos (DB) contenido en el JSON.",
        "hidden": false
    },
    "x5.py": {
        "display_name": "05: Generar Descripción MD",
        "short_description": "Genera documentación descriptiva de archivos JSON en Markdown.",
        "long_description": "Crea un archivo Markdown que documenta la estructura interna de los archivos JSON (generados por x3.py). Detalla UDTs y DBs, incluyendo sus miembros, offsets, tipos de datos, y valores iniciales/actuales, facilitando la comprensión del contenido del JSON.",
        "hidden": false
    },
    "x6.py": {
        "display_name": "06: Generar Excel",
        "short_description": "Genera documentación de DBs en formato Excel (.xlsx) desde JSON.",
        "long_description": "Procesa archivos JSON (generados por x3.py) y exporta la información de cada Bloque de Datos (DB) a un archivo Excel (.xlsx). La hoja de cálculo incluye detalles como direcciones, nombres de variables, tipos de datos, valores iniciales, valores actuales y comentarios.",
        "hidden": false
    },
    "x7_value_updater.py": {
        "display_name": "07: Actualizar Valores data+format->updated",
        "short_description": "Busca archivos .db o .awl con la terminacion _data y _format. Si los encuentra y son compatibles usa los datos de _data para generar un _updated con los nombres de las variables de _format",
        "long_description": "Procesa pares de archivos a JSON (_data.json y _format.json, generados por x3.py). Compara sus estructuras por offset para asegurar compatibilidad. Si son compatibles, crea un nuevo archivo _updated.json que combina la estructura del _format.json con los valores actuales del _data.json.",
        "hidden": false
    }
}